net.minecraft.network.rcon

## Interface IServer

- All Known Implementing Classes:
    DedicatedServer

      public interface IServer

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `executeCommand(String var1)`
    `String[]` | `getAllUsernames()` Returns an array of the usernames of all the connected players.
    `int` | `getCurrentPlayerCount()` Returns the number of players currently on the server.
    `String` | `getFolderName()`
    `String` | `getHostname()` Returns the server's hostname.
    `int` | `getIntProperty(String var1, int var2)` Gets an integer property.
    `int` | `getMaxPlayers()` Returns the maximum number of players allowed on the server.
    `String` | `getMinecraftVersion()` Returns the server's Minecraft version as string.
    `String` | `getPlugins()` Used by RCon's Query in the form of "MajorServerMod 1.2.3: MyPlugin 1.3; AnotherPlugin 2.1; AndSoForth 1.0".
    `int` | `getPort()` Never used, but "getServerPort" is already taken.
    `String` | `getServerMOTD()` Returns the server message of the day
    `String` | `getSettingsFilename()` Returns the filename where server properties are stored
    `String` | `getStringProperty(String var1, String var2)` Gets a string property.
    `boolean` | `isDebuggingEnabled()` Returns true if debugging is enabled, false otherwise.
    `void` | `logDebug(String var1)` If isDebuggingEnabled(), logs the message with a level of INFO.
    `void` | `logInfo(String var1)` Logs the message with a level of INFO.
    `void` | `logSevere(String var1)` Logs the error message with a level of SEVERE.
    `void` | `logWarning(String var1)` Logs the message with a level of WARN.
    `void` | `saveProperties()` Saves all of the server properties to the properties file.
    `void` | `setProperty(String var1, Object var2)` Saves an Object with the given property name.

- - ### Method Detail

    - #### getIntProperty

          int getIntProperty(String var1,
                           int var2)

      Gets an integer property. If it does not exist, set it to the specified value.

    - #### getStringProperty

          String getStringProperty(String var1,
                                 String var2)

      Gets a string property. If it does not exist, set it to the specified value.

    - #### setProperty

          void setProperty(String var1,
                         Object var2)

      Saves an Object with the given property name.

    - #### saveProperties

          void saveProperties()

      Saves all of the server properties to the properties file.

    - #### getSettingsFilename

          String getSettingsFilename()

      Returns the filename where server properties are stored

    - #### getHostname

          String getHostname()

      Returns the server's hostname.

    - #### getPort

          int getPort()

      Never used, but "getServerPort" is already taken.

    - #### getServerMOTD

          String getServerMOTD()

      Returns the server message of the day

    - #### getMinecraftVersion

          String getMinecraftVersion()

      Returns the server's Minecraft version as string.

    - #### getCurrentPlayerCount

          int getCurrentPlayerCount()

      Returns the number of players currently on the server.

    - #### getMaxPlayers

          int getMaxPlayers()

      Returns the maximum number of players allowed on the server.

    - #### getAllUsernames

          String[] getAllUsernames()

      Returns an array of the usernames of all the connected players.

    - #### getFolderName

          String getFolderName()

    - #### getPlugins

          String getPlugins()

      Used by RCon's Query in the form of "MajorServerMod 1.2.3: MyPlugin 1.3; AnotherPlugin 2.1; AndSoForth 1.0".

    - #### executeCommand

          String executeCommand(String var1)

    - #### isDebuggingEnabled

          boolean isDebuggingEnabled()

      Returns true if debugging is enabled, false otherwise.

    - #### logInfo

          void logInfo(String var1)

      Logs the message with a level of INFO.

    - #### logWarning

          void logWarning(String var1)

      Logs the message with a level of WARN.

    - #### logSevere

          void logSevere(String var1)

      Logs the error message with a level of SEVERE.

    - #### logDebug

          void logDebug(String var1)

      If isDebuggingEnabled(), logs the message with a level of INFO.